class WellKnownController < ApplicationController
  def nostr
    http_status :unprocessable_entity and return if params[:name].blank?
    domain = request.headers["X-Forwarded-Host"].presence || Setting.primary_domain
    @user = User.where(cn: params[:name], ou: domain).first
    http_status :not_found and return if @user.nil? || @user.nostr_pubkey.blank?

    respond_to do |format|
      format.json do
        render json: {
          names: { "#{@user.cn}": @user.nostr_pubkey }
        }.to_json
      end
    end
  end
end
